package router

import (
	"mtp20access/api/v1/account"

	"github.com/gin-gonic/gin"
)

func InitAccountPublicRouter(r *gin.RouterGroup) {
	accountR := r.Group("Account").Use()
	{
		accountR.POST("Login", account.Login)
		accountR.POST("HandleASignCompleted", account.HandleASignCompleted)
		accountR.GET("HandleWillFace", account.HandleWillFace)
	}
}

func InitAccountPrivateRouter(r *gin.RouterGroup) {
	accountR := r.Group("Account").Use()
	{
		accountR.GET("TokenCheck", account.TokenCheck)
		accountR.GET("Loginout", account.Loginout)
		accountR.GET("QueryUserESignRecord", account.QueryUserESignRecord)
		accountR.POST("AddUser", account.AddUser)
		accountR.POST("CreateContractAndAddSigner", account.CreateContractAndAddSigner)
		accountR.POST("SignCompleted", account.SignCompleted)
		accountR.POST("WillFace", account.WillFace)
	}
}
